<?lsp

if request:data"fetchlog" then
   local resp={}
   local cms = app.getCmsTab(request:session())
   if cms and cms.imgUplCfg and cms.imgUplCfg.stats then
      resp.ok=true
      local s=cms.imgUplCfg.stats
      resp.files=s.files
      resp.images=s.images
      resp.busy=cms.imgUplCfg.jobQueue and true or false
      if s.log then
         resp.log=table.concat(s.log)
         s.log=nil
      end
   end
   response:write(json.encode(resp))
   return
end

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<title>Configure Image Uploader</title>
<link href="../style.css" rel="stylesheet" type="text/css" />
<style type="text/css">
body { background:#F1F3F1; }
pre, body { padding:0; margin:0; }
img.icon { width:16px; height:16px; }
</style>
<script type="text/javascript" src="/rtl/jquery.js"></script>
<script type="text/javascript">

var isInternetExplorer = document.all ? true : false;
var firstTime=true;

function ajax() {
   $.getJSON(location.href, {fetchlog:true}, function(resp) {
      parent.window.setStat(resp.files,resp.images,resp.busy);
      if(!resp.ok) {
         top.location="/private/manage/";
         return;
      }
      if(resp.log) {
         if(firstTime) {
            $("body").html('<pre id="console"><pre>').css("background","white");
            firstTime=false;
         };
         var msg = resp.log;
         if(isInternetExplorer) {
            msg=msg+"";
            msg=msg.replace(/\n/g, "<br>");
            msg=msg.replace(/ /g, "&nbsp;");
         }
         $("#console").append(msg);
         if (document.body.scrollHeight)
         window.scrollTo(0, document.body.scrollHeight);
      else if(screen.height)
         window.scrollTo(0, screen.height);
      }
      setTimeout("ajax()",1000);
   });
   try {
      var xhr = new XMLHttpRequest();
      xhr.upload.addEventListener("progress", function(){},false);
      $("#action2").remove();
      $("#action1").html("Drag and drop your JPG image(s) into the Web File Manager window.");
   }
   catch(e) {} 
};


$(function(){
   if (top.location == location || !parent.window.setStat) {
      location.href = "../images.lsp";
      return;
   }
   setTimeout("ajax()",1000);
});

</script>
</head>
<body style="padding-right:50px;">
<ul>
<li id="action1">Click the upload button below to upload 1-5 images.</li>
<li id="action2">Click the WebDAV button below to upload many images.</li>
<li>Click the "Done Uploading" button when you have completed the upload or to cancel the upload.</li>
</ul>
</body>
</html>
