<?lsp

-- Cache data so it can be used by included pages
data = request:data()
if data.oldpassword and data.password then
   response:forward".SetPassword.lsp"
   return
end


-- The extra header we need ".header" to add.
headerdata=[[
<link href="style.css" rel="stylesheet" type="text/css" />
<style>
p {text-align:center}
#theform {width:370px;margin-top:30px;margin-left: auto ;margin-right: auto;}
</style>
<script type="text/javascript" src="../jquery.js"></script>
<script type="text/javascript">
$(function() {
  $("input[type='text'], input[type='password'], textarea").focus(function(){$(this).css({border:"1px solid #f00",background: "#ffc"})}).blur(function(){$(this).css({border:"1px solid #ccc", background: "white"})}).hover(function(){$(this).select().focus()},function(){});
  $("#changesub").click(function(){
     if($('#oldpwd').val() == '')
     {
        $('#err').html("Please input password");
        return false;
     }
     if($('#password').val() != $('#password2').val())
     {
        $('#password').val('').focus();
        $('#password2').val('');
        $('#err').html("The passwords you entered did not match.");
        return false;
     }
     return true;
  });
});
</script>
]]
 
title="Menu: Change Password"
response:include"/rtl/.header.lsp"
?>
<h1>Change Password</h1>
<p>After changing password, press the logout button if you are not automatically logged out.<br/>Login using your new password.</p>
    <form id="theform" class="roundedbox" method="post">
  <table style="text-align: right;">
      <tr>
        <td><label for="oldpwd">Old password: </label></td><td><input type="password" name="oldpassword" id="oldpwd" autocomplete="off"/></td>
      </tr>
      <tr>
        <td><label for="password">New password: </label></td><td><input type="password" id="password" name="password" autocomplete="off"/></td>
      </tr>
      <tr>
        <td><label for="password2">Confirm password: </label></td><td><input type="password" id="password2" autocomplete="off"/></td>
      </tr>
    <tr>
      <td colspan="2"><input id="changesub" type="submit" value="Change" /></td>

    </tr>
  </table>
 </form>
<br/>
<div id="err"></div>

<?lsp response:include".footer.lsp" ?>
