
var basepath = "/";

function rsGetStartPath()
{
   return basepath;
};

var rsHistList = [basepath];
function rsGetHistoryList()
{
   return rsHistList;
};

function rsOnOpen(dir, resource, isDir)
{
   basepath = dir+resource
   $("#basepath").val(basepath);
   $("#newpath").val(basepath);
   $('#pathsub').trigger('click');
   return true;
};

function rsOnShow(dir, resource, isDir)
{
   if(isDir)
      return true;
   return false;
};


function rsInit()
{
  return {
     onOpen:rsOnOpen,
     onShow:rsOnShow,
     regExp:'/$',
     getStartPath: rsGetStartPath,
     getHistoryList:rsGetHistoryList,
     rootfs:true
  };
};

function startResourceSelector()
{
   var w = window.open(
      '/rtl/protected/rs.html?init=rsInit',
      "SelApp",
      "scrollbars=1, toolbar=0, status=0, resizable=1, width=640, height="+(screen.height/2));
   if(!w) alert('Your browser is blocking the pop-up window');   
};


$(function() {
   basepath=$("#basepath").val();
   $("#gotoconstr").remove();
   $("#constr").mouseup(function() {
      setTimeout(function() {
         window.location = window.location.pathname+"?constr="+escape($("#constr option:selected").text())
      }, 100);

   });
   $("#browse").show().click(function(e) {
      $(this).blur();
      startResourceSelector();
      return false;
   });

   var ra={"GET":true,"PROPFIND":true};
   var wa={"POST":true,"PUT":true,"PROPPATCH":true,"MKCOL":true,"DELETE":true,"MOVE":true,"COPY":true}
   $('#advancedaccess input:checked').each(function() {
      var n=$(this).attr("name");
      delete ra[n];
      delete wa[n];
   });
   var ralen=0;
   var walen=0;
   for (var i in ra) ralen++;
   for (var i in wa) walen++;
   ra=undefined;
   wa=undefined;
   if( (ralen == 0 || ralen == 2) && (walen == 0 || walen == 7) )
   {
      if(ralen != 0) $("#readaccess").attr('checked', false);
      if(walen != 0) $("#writeaccess").attr('checked', false);
      $("#advancedaccess").hide();
      $("#basicaccess").show();
      $("#advancedop").click(function() {
         $("#advancedaccess").show();
         $("#basicaccess").hide();
      });
      $('#basicaccess input').click(function() {
         var checked=$(this).is(':checked');
         var a;
         if($(this).attr('name') == "writeaccess")
            a=["POST","PUT","PROPPATCH","MKCOL","DELETE","MOVE","COPY"];
         else
            a=["GET","PROPFIND"];
         for(var i=0; i < a.length; i++)
            $("#"+a[i]).attr('checked', checked);
      });
   }
});
