
$(document).ready(function()
{
   $("<div id='BlgPreview' style='position: absolute;display:none'>").prependTo("body");

   var isLoading = false;
   var mustHide = false;
   var isHiding=false;
   var isVisible=false;

   function getWinPos(){
      var w;
      var h;
      if (self.innerWidth) {
         w = self.innerWidth;
         h = self.innerHeight;
      }
      else if (document.documentElement && document.documentElement.clientWidth){
         w = document.documentElement.clientWidth;
         h = document.documentElement.clientHeight;
      }
      else if (document.body) {
         w = document.body.clientWidth;
         h = document.body.clientHeight;
      }
      else {
         w=400;
         h=400;
      }
      return {w:w,h:h};
   };

   function aniSize(w,h,func) {
      $("#BlgPreview").animate({
        width: w+"px",
        height: h+"px"},
        "fast",
        func
      );
   };

   function hide() {
      if(isHiding || !isVisible) return;
      isHiding=true;
      aniSize(1,1, function() {
         $("#BlgPreview").hide();
         isHiding = false;
         isVisible=false;
      });
   };

   $("<img src='/images/zoomx16.png' style='cursor:help'/>").
      appendTo("td[bid]");

      $("td[bid] img").mouseover(function(e) {
         mustHide=false;
         if(isLoading || isHiding) return;
         isLoading=true;
         var bid = $(this).parent().attr("bid");
         if(!bid) return;
         var ws = getWinPos();
         var w = e.pageX - 150;
         var h = ws.h - 50;
         var y = window.pageYOffset ?
            window.pageYOffset : document.documentElement.scrollTop; 
         y += 25;
         $("#BlgPreview").html("<h1>Loading...</h1>"+bid).show().
            css("left", 25).css("top", y).width(200).height(50);
         isVisible=true;
         $.ajax({
           url: "/zzPreview.lsp?bid="+bid,
           cache: true,
           error: function(x) {
              isLoading=false;
              $("#BlgPreview").hide();
           },
           success: function(html){
              $("#BlgPreview").html(html)
                 aniSize(w,h,function() {
                    isLoading=false;
                    if(mustHide) {
                       hide();
                       mustHide=false;
                    }
                 });


           }
         });
         return false;
   }).mouseout(function() {
      if(isLoading) mustHide=true;
      else hide();
      return false;
   });
});
